package de.ozgcloud.operator.keycloak.user;

import org.springframework.stereotype.Component;

import io.fabric8.kubernetes.api.model.Secret;
import io.fabric8.kubernetes.client.KubernetesClient;
import io.fabric8.kubernetes.client.dsl.Resource;
import lombok.RequiredArgsConstructor;
import lombok.extern.log4j.Log4j2;

@RequiredArgsConstructor
@Log4j2
@Component
class KubernetesRemoteService {

	private final KubernetesClient kubernetesClient;

	public Resource<Secret> getSecret(String namespace, String name) {
		LOG.info("KubernetesClient: Get {} secret from {} namespace.", name, namespace);
		return kubernetesClient.secrets().inNamespace(namespace).withName(name);
	}
}
